Bug 824393 - Review Request: perl-Devel-CallParser - Custom parsing attached to subroutines
Review Request: perl-Devel-CallParser - Custom parsing attached to subroutines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 823989
Blocks: 824430
  Show dependency treegraph
 
Reported: 2012-05-23 07:47 EDT by Jitka Plesnikova
Modified: 2012-05-29 09:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 09:23:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-05-23 07:47:15 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Devel-CallParser/perl-Devel-CallParser.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Devel-CallParser/perl-Devel-CallParser-0.001-1.fc18.src.rpm
Description: This module provides a C API, for XS modules, concerned with custom parsing. It is centred around the function cv_set_call_parser, which allows XS code to attach a magical annotation to a Perl subroutine, resulting in resolvable calls to that subroutine having their arguments parsed by arbitrary C code. (This is a more conveniently structured facility than the core's PL_keyword_plugin API.) This module makes cv_set_call_parser and several supporting functions available.
Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2012-05-29 05:05:28 EDT
Source package is original. Ok.
Summary verified from lib/Devel/CallParser.pm. Ok.
License verified from lib/Devel/CallParser.pm. Ok.
URL and Source0 are usable. Ok.
Description verified from lib/Devel/CallParser.pm. Ok.
XS code presents. BuildArch is Ok.

TODO: Move the `perl(Module::Build)' before #Tests. It's need to run Build.PL at build-time.

TODO: Conflict with `perl(Data::Alias) < 1.13' (Build.PL:150). 
TODO: Conflict with `perl(Devel::Declare) < 0.006004)' (Build.PL:151).

TODO: Qualify `perl(Test::Pod)' build-require with `>= 1.00' (t/pod_syn.t:5).
TODO: Qualify `perl(Test::Pod::Coverage)' build-require with `>= 1' (t/pod_cvg.t:6).

All tests pass. Ok.

$ rpmlint  perl-Devel-CallParser.spec ../SRPMS/perl-Devel-CallParser-0.001-1.fc18.src.rpm ../RPMS/x86_64/perl-Devel-CallParser-*
perl-Devel-CallParser.src: W: spelling-error %description -l en_US centred -> centered, cent red, cent-red
perl-Devel-CallParser.src: W: spelling-error %description -l en_US cv -> CV, xv, cc
perl-Devel-CallParser.x86_64: W: spelling-error %description -l en_US centred -> centered, cent red, cent-red
perl-Devel-CallParser.x86_64: W: spelling-error %description -l en_US cv -> CV, xv, cc
3 packages and 1 specfiles checked; 0 errors, 4 warnings.
TODO: Change `centred' spelling to the American one.

$ rpm -q -lv -p ../RPMS/x86_64/perl-Devel-CallParser-0.001-1.fc18.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 May 29 04:51 /usr/lib64/perl5/vendor_perl/Devel
-rw-r--r--    1 root    root                    14555 May 29 04:51 /usr/lib64/perl5/vendor_perl/Devel/CallParser.pm
drwxr-xr-x    2 root    root                        0 May 29 04:51 /usr/lib64/perl5/vendor_perl/auto/Devel
drwxr-xr-x    2 root    root                        0 May 29 04:51 /usr/lib64/perl5/vendor_perl/auto/Devel/CallParser
-rwxr-xr-x    1 root    root                    18688 May 29 04:51 /usr/lib64/perl5/vendor_perl/auto/Devel/CallParser/CallParser.so
drwxr-xr-x    2 root    root                        0 May 29 04:51 /usr/share/doc/perl-Devel-CallParser-0.001
-rw-r--r--    1 root    root                      305 May 20  2011 /usr/share/doc/perl-Devel-CallParser-0.001/Changes
-rw-r--r--    1 root    root                     1031 May 20  2011 /usr/share/doc/perl-Devel-CallParser-0.001/README
-rw-r--r--    1 root    root                     5639 May 29 04:51 /usr/share/man/man3/Devel::CallParser.3pm.gz
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/x86_64/perl-Devel-CallParser-0.001-1.fc18.x86_64.rpm |sort |uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 perl(Devel::CallChecker) >= 0.001
      1 perl(DynaLoader::Functions) >= 0.000
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(parent)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
FIX: Run-require `perl(Devel::CallChecker) >= 0.002' (META.yml:37).

$ rpm -q --provides -p ../RPMS/x86_64/perl-Devel-CallParser-0.001-1.fc18.x86_64.rpm |sort |uniq -c
      1 perl(Devel::CallParser) = 0.001
      1 perl-Devel-CallParser = 0.001-1.fc18
      1 perl-Devel-CallParser(x86-64) = 0.001-1.fc18
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/perl-Devel-CallParser-0.001-1.fc18.x86_64.rpm 
Binary dependencies resolvable. Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4111440). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' issues, consider fixing `TODO' items and provide new spec file.

Resolution: Package NOT approved.
Comment 2 Jitka Plesnikova 2012-05-29 07:35:57 EDT
Updated.

I only skipped this. 
TODO: Qualify `perl(Test::Pod::Coverage)' build-require with `>= 1' (t/pod_cvg.t:6).

There is not specified version of library. Because '1' is return value for eval when 'use' passed, if I understand it correctly.
Comment 3 Petr Pisar 2012-05-29 08:13:33 EDT
Spec file changes:
--- perl-Devel-CallParser.spec.old      2012-05-24 09:02:35.000000000 -0400
+++ perl-Devel-CallParser.spec  2012-05-29 07:32:34.000000000 -0400
@@ -12,6 +12,7 @@
 BuildRequires:  perl(DynaLoader::Functions)
 BuildRequires:  perl(Exporter)
 BuildRequires:  perl(parent)
+BuildRequires:  perl(Module::Build)
 # Tests
 BuildRequires:  perl(Data::Alias) >= 1.13
 BuildRequires:  perl(Devel::Declare) >= 0.006004
@@ -20,17 +21,19 @@
 BuildRequires:  perl(File::Spec)
 BuildRequires:  perl(IO::File) >= 1.03
 BuildRequires:  perl(Lexical::Sub)
-BuildRequires:  perl(Module::Build)
 BuildRequires:  perl(Test::More)
-BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod) >= 1.00
 BuildRequires:  perl(Test::Pod::Coverage)
+Requires:       perl(Devel::CallChecker) >= 0.002
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+Conflicts:      perl(Data::Alias) < 1.13
+Conflicts:      perl(Devel::Declare) < 0.006004
 
 %{?perl_default_filter}
 
 %description
 This module provides a C API, for XS modules, concerned with custom
-parsing. It is centred around the function cv_set_call_parser, which allows
+parsing. It is centered around the function cv_set_call_parser, which allows
 XS code to attach a magical annotation to a Perl subroutine, resulting in
 resolvable calls to that subroutine having their arguments parsed by
 arbitrary C code. (This is a more conveniently structured facility than the


> TODO: Move the `perl(Module::Build)' before #Tests. It's need to run Build.PL
> at build-time.
+BuildRequires:  perl(Module::Build)
 # Tests
Ok.

> TODO: Conflict with `perl(Data::Alias) < 1.13' (Build.PL:150). 
> TODO: Conflict with `perl(Devel::Declare) < 0.006004)' (Build.PL:151).
+Conflicts:      perl(Data::Alias) < 1.13
+Conflicts:      perl(Devel::Declare) < 0.006004
Ok.

> TODO: Qualify `perl(Test::Pod)' build-require with `>= 1.00' (t/pod_syn.t:5).
-BuildRequires:  perl(Test::Pod)
+BuildRequires:  perl(Test::Pod) >= 1.00
Ok.

> > TODO: Qualify `perl(Test::Pod::Coverage)' build-require with `>= 1'
> > (t/pod_cvg.t:6).
> There is not specified version of library. Because '1' is return value for
> eval when 'use' passed, if I understand it correctly.
You are right. I missed the semicolon.
Ok.

> TODO: Change `centred' spelling to the American one.
$ rpmlint perl-Devel-CallParser.spec ../SRPMS/perl-Devel-CallParser-0.001-1.fc18.src.rpm ../RPMS/x86_64/perl-Devel-CallParser-*
perl-Devel-CallParser.src: W: spelling-error %description -l en_US cv -> CV, xv, cc
perl-Devel-CallParser.x86_64: W: spelling-error %description -l en_US cv -> CV, xv, cc
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
Ok.

> FIX: Run-require `perl(Devel::CallChecker) >= 0.002' (META.yml:37).
$ rpm -q --requires -p ../RPMS/x86_64/perl-Devel-CallParser-0.001-1.fc18.x86_64.rpm |sort |uniq -c
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6()(64bit)
      1 perl(Devel::CallChecker) >= 0.001
      1 perl(Devel::CallChecker) >= 0.002
      1 perl(DynaLoader::Functions) >= 0.000
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(parent)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Ok.

TODO: You can filter the underspecifed dependency `perl(Devel::CallChecker) >= 0.001' now.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4111639). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Please consider fixing the `TODO' item before building the package.

Resolution: Package APPROVED.
Comment 4 Jitka Plesnikova 2012-05-29 08:33:59 EDT
New Package SCM Request
=======================
Package Name: perl-Devel-CallParser
Short Description: Custom parsing attached to subroutines
Owners: jplesnik mmaslano ppisar psabata
Branches:
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-05-29 08:51:22 EDT
Git done (by process-git-requests).
Comment 6 Jitka Plesnikova 2012-05-29 09:23:29 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.